# Class PersistentProviderRegistrations.Provider

java.lang.Object
org.apache.catalina.authenticator.jaspic.PersistentProviderRegistrations.Provider

Enclosing class:
  `PersistentProviderRegistrations`

public static class PersistentProviderRegistrations.Provider extends Object
Represents a single JASPIC provider registration.

## Constructor Summary

Constructors
Constructor
Description
`Provider()`
Constructs a new Provider instance.

## Method Summary

Modifier and Type
Method
Description
`void`
`addProperty(PersistentProviderRegistrations.Property property)`
Adds a property to the provider.
`String`
`getAppContext()`
Returns the application context of the provider.
`String`
`getClassName()`
Returns the class name of the provider.
`String`
`getDescription()`
Returns the description of the provider.
`String`
`getLayer()`
Returns the layer of the provider.
`Map<String,String>`
`getProperties()`
Returns the properties of the provider.
`void`
`setAppContext(String appContext)`
Sets the application context of the provider.
`void`
`setClassName(String className)`
Sets the class name of the provider.
`void`
`setDescription(String description)`
Sets the description of the provider.
`void`
`setLayer(String layer)`
Sets the layer of the provider.
`void`
`setProperty(String name, String value)`
Used by IntrospectionUtils via reflection.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Provider

public Provider()
Constructs a new Provider instance.

## Method Details

### getClassName

public String getClassName()
Returns the class name of the provider.

Returns:
  the class name

### setClassName

public void setClassName(String className)
Sets the class name of the provider.

Parameters:
  `className` - the class name

### getLayer

public String getLayer()
Returns the layer of the provider.

Returns:
  the layer

### setLayer

public void setLayer(String layer)
Sets the layer of the provider.

Parameters:
  `layer` - the layer

### getAppContext

public String getAppContext()
Returns the application context of the provider.

Returns:
  the application context

### setAppContext

public void setAppContext(String appContext)
Sets the application context of the provider.

Parameters:
  `appContext` - the application context

### getDescription

public String getDescription()
Returns the description of the provider.

Returns:
  the description

### setDescription

public void setDescription(String description)
Sets the description of the provider.

Parameters:
  `description` - the description

### addProperty

public void addProperty(PersistentProviderRegistrations.Property property)
Adds a property to the provider.

Parameters:
  `property` - the property to add

### setProperty

public void setProperty(String name, String value)
Used by IntrospectionUtils via reflection.

Parameters:
  `name` - - the name of the property to set on this object
  `value` - - the value to set
See Also:
  - `addProperty(String, String)`

### getProperties

public Map<String,String> getProperties()
Returns the properties of the provider.

Returns:
  the properties